POST api/group/{id}/searching/{roleId}/matches?pageSize={pageSize}&pageNumber={pageNumber}&sort={sort}
Get property matches for a Searching Role for a Group Processes this group API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Group Id |
integer |
Required |
| roleId |
Role Id |
integer |
Required |
| pageSize |
Amount of results per page |
integer |
Default value is 5 |
| pageNumber |
Page number |
integer |
Default value is 1 |
| sort |
How to sort the results |
GroupPropertyMatchSortType |
Default value is ScoreDesc |
Body Parameters
Match filter
GroupPropertyMatchFilterDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| BranchIds |
The unique identifiers of the related branch resources. |
Collection of integer |
None. |
| NegotiatorId |
The unique identifier of the related negotiator resource. |
integer |
None. |
| ExcludeOfferAccepted |
Indicates whether exclude offer accepted is true. |
boolean |
None. |
| ExcludeUnderOffer |
Indicates whether exclude under offer is true. |
boolean |
None. |
| MarketedFrom |
The marketed from, expressed as a date and time. |
date |
None. |
| IncludedRoleIds |
The unique identifiers of the related included role resources. |
Collection of integer |
None. |
| ExcludedRoleIds |
The unique identifiers of the related excluded role resources. |
Collection of integer |
None. |
| ExcludeMailoutDays |
The exclude mailout days value. |
integer |
None. |
| OwningTeamId |
The unique identifier of the related owning team resource. |
integer |
None. |
| MinScore |
The min score value. |
integer |
None. |
| Sort |
The sort value. |
string |
None. |
Request Formats
application/x-www-form-urlencoded
Sample not available.
application/json, text/json
{
"BranchIds": [
1,
2
],
"NegotiatorId": 1,
"ExcludeOfferAccepted": true,
"ExcludeUnderOffer": true,
"MarketedFrom": "2026-07-23T08:25:58.9722132Z",
"IncludedRoleIds": [
1,
2
],
"ExcludedRoleIds": [
1,
2
],
"ExcludeMailoutDays": 1,
"OwningTeamId": 1,
"MinScore": 3,
"Sort": "sample string 4"
}
Response Information
Resource Description
A list of property roles
PagedCollectionDataContractOfGroupPropertyMatchDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of GroupPropertyMatchDataContract |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.